Next Previous Contents

## 2. Usage

The od65 utility dumps contents of one or more ca65 generated object file to standard output. It has no cross-version compatibility, so you have to use a version that matches the version of ca65 used to create the object files.

## 2.1 Command line option overview

The program may be called as follows:

> `

>     ---------------------------------------------------------------------------
>     Usage: od65 [options] file [options] [file]
>     Short options:
>       -h                    Help (this text)
>       -H                    Dump the object file header
>       -S                    Dump segments sizes
>       -V                    Print the version number and exit

>     Long options:
>       --dump-all            Dump all object file information
>       --dump-dbgsyms        Dump debug symbols
>       --dump-exports        Dump exported symbols
>       --dump-files          Dump the source files
>       --dump-header         Dump the object file header
>       --dump-imports        Dump imported symbols
>       --dump-lineinfo       Dump line information
>       --dump-options        Dump object file options
>       --dump-segments       Dump the segments in the file
>       --dump-segsize        Dump segments sizes
>       --help                Help (this text)
>       --version             Print the version number and exit
>     ---------------------------------------------------------------------------

> `

## 2.2 Command line options in detail

Here is a description of all the command line options:

`--dump-all`

  This will output all information, od65 is able to process. The option is a shortcut for specifying all the other `--dump` options.

`--dump-dbgsyms`

  Dump all debug symbols contained in the object file.

`--dump-exports`

  Dump all exported symbols contained in the object file.

`--dump-files`

  Dump the file table contained in the object file.

`-H, --dump-header`

  Dump the object file header.

`--dump-imports`

  Dump the list of imported symbols contained in the object file.

`--dump-segments`

  Dump the list of segments contained in the object file.

`-S, --dump-segsize`

  Dump the sizes of all segments contained in the object file. This option is quite useful to determine the effect of measures that increase or decrease code size.

`-h, --help`

  Print the short option summary shown above.

`-V, --version`

  Print the version number of the compiler. When submitting a bug report, please include the operating system you're using, and the compiler version.

Next Previous Contents